## org.apache.myfaces.renderkit.html.ext
Class HtmlCheckboxRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlCheckboxRendererBase
                  org.apache.myfaces.renderkit.html.ext.HtmlCheckboxRenderer

public class HtmlCheckboxRenderer
extends HtmlCheckboxRendererBase

Version:
  $Revision: 290397 $ $Date: 2005-09-20 04:35:09 -0400 (Tue, 20 Sep 2005) $
Author:
  Manfred Geiler (latest modification by $Author: mmarinschek $)

Constructor Summary
`HtmlCheckboxRenderer()`

Method Summary
`void` `decode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`void` `encodeEnd(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected javax.faces.convert.Converter` `getConverter(javax.faces.context.FacesContext facesContext, javax.faces.component.UISelectMany selectMany)`
`protected java.lang.String` `getLayout(javax.faces.component.UISelectMany selectMany)` Determines the layout setting.
`protected int` `getLayoutWidth(javax.faces.component.UISelectMany selectMany)` Gets the layout width.
`protected boolean` `isDisabled(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`void` `renderCheckboxList(javax.faces.context.FacesContext facesContext, javax.faces.component.UISelectMany selectMany)`
`protected void` `renderCheckboxListHorizontally(javax.faces.context.FacesContext facesContext, javax.faces.component.UISelectMany selectMany, javax.faces.convert.Converter converter)`
`protected void` `renderCheckboxListVertically(javax.faces.context.FacesContext facesContext, javax.faces.component.UISelectMany selectMany, javax.faces.convert.Converter converter)`
`protected void` `renderRowForHorizontal(javax.faces.context.FacesContext facesContext, javax.faces.component.UISelectMany selectMany, javax.faces.convert.Converter converter, java.util.Set lookupSet, javax.faces.context.ResponseWriter writer, int totalRows, int rowNum)`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlCheckboxRendererBase
`getConvertedValue, renderCheckbox, renderGroupOrItemCheckbox`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlRenderer
`encodeChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, encodeBegin, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlCheckboxRenderer

    public HtmlCheckboxRenderer()

Method Detail

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext context,
                          javax.faces.component.UIComponent component)
                   throws java.io.IOException

  Overrides:
    `encodeEnd` in class `HtmlCheckboxRendererBase`
  Throws:
    `java.io.IOException`

### renderCheckboxList

    public void renderCheckboxList(javax.faces.context.FacesContext facesContext,
                                   javax.faces.component.UISelectMany selectMany)
                            throws java.io.IOException

  Overrides:
    `renderCheckboxList` in class `HtmlCheckboxRendererBase`
  Throws:
    `java.io.IOException`

### renderCheckboxListHorizontally

    protected void renderCheckboxListHorizontally(javax.faces.context.FacesContext facesContext,
                                                  javax.faces.component.UISelectMany selectMany,
                                                  javax.faces.convert.Converter converter)
                                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderRowForHorizontal

    protected void renderRowForHorizontal(javax.faces.context.FacesContext facesContext,
                                          javax.faces.component.UISelectMany selectMany,
                                          javax.faces.convert.Converter converter,
                                          java.util.Set lookupSet,
                                          javax.faces.context.ResponseWriter writer,
                                          int totalRows,
                                          int rowNum)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderCheckboxListVertically

    protected void renderCheckboxListVertically(javax.faces.context.FacesContext facesContext,
                                                javax.faces.component.UISelectMany selectMany,
                                                javax.faces.convert.Converter converter)
                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### getLayout

    protected java.lang.String getLayout(javax.faces.component.UISelectMany selectMany)

  Determines the layout setting. Defaults to `lineDirection` if not specified.

  Overrides:
    `getLayout` in class `HtmlCheckboxRendererBase`
  Parameters:
    `selectMany` - the component
  Returns:
    the layout

### getLayoutWidth

    protected int getLayoutWidth(javax.faces.component.UISelectMany selectMany)

  Gets the layout width. Returns the default layout width of 1 if the layout width is not set or is less than 1.

  Parameters:
    `selectMany` - the component
  Returns:
    the layout width

### isDisabled

    protected boolean isDisabled(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent uiComponent)

  Overrides:
    `isDisabled` in class `HtmlCheckboxRendererBase`

### decode

    public void decode(javax.faces.context.FacesContext facesContext,
                       javax.faces.component.UIComponent uiComponent)

  Overrides:
    `decode` in class `HtmlCheckboxRendererBase`

### getConverter

    protected javax.faces.convert.Converter getConverter(javax.faces.context.FacesContext facesContext,
                                                         javax.faces.component.UISelectMany selectMany)